
package de.ivu.elect.business.gruppeimgebiet.boundary;

import java.io.Serializable;

import de.ivu.elect.business.gruppeimgebiet.entity.GruppeImGebiet;

import de.ivu.elect.jee.entity.customdata.DefaultCustomData;


/**
 * Diese Klasse liefert nur eine leere Instanz, für konkrete Implementierungen überschreiben
 */
public class GruppeImGebietFactory implements Serializable {

  private static final long serialVersionUID = 1L;


  public GruppeImGebiet create() {
        GruppeImGebiet entity = new GruppeImGebiet(
              createCustomData()
          );

    initDefaultAttributes(entity);

    return entity;
  }



  public void initDefaultAttributes(GruppeImGebiet entity) {
    // Do nothing.
  }

  public DefaultCustomData createCustomData() {
        return de.ivu.elect.jee.entity.customdata.EmptyCustomData.INSTANCE;
      }
}
